"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utilsGit_1 = require("./utilsGit");
const fs_1 = __importDefault(require("fs"));
const read = (path) => {
    const buffer = fs_1.default.readFileSync(path, 'utf8');
    return buffer.toString();
};
const write = (content, path) => {
    fs_1.default.writeFileSync(path, content);
};
describe('git utils', () => {
    it('Should detect changes', async () => {
        const oldDummy = read('dummy.txt');
        write('testdummy', 'dummy.txt');
        expect((0, utilsGit_1.filesChanged)()).toBeTruthy();
        write(oldDummy, 'dummy.txt');
    });
});
//# sourceMappingURL=utilsGit.spec.js.map